Bug 25771 - Allow the user to sort checkouts by the renew column in the OPAC
Summary: Allow the user to sort checkouts by the renew column in the OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-16 13:15 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25771: Allow the user to sort checkouts by the renew column in the OPAC (11.41 KB, patch)
2020-09-09 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25771: Allow the user to sort checkouts by the renew column in the OPAC (11.47 KB, patch)
2020-09-21 11:41 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25771: Allow the user to sort checkouts by the renew column in the OPAC (11.52 KB, patch)
2020-09-21 19:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-06-16 13:15:02 UTC
In the table of the user's checkouts the "renew" column can't be sorted. This decision was based on the fact that the column doesn't display strictly sortable data. However, data is available on the number of renewals remaining, so we could offer sorting on that number.
Comment 1 Owen Leonard 2020-09-09 17:13:34 UTC
Created attachment 109830 [details] [review]
Bug 25771: Allow the user to sort checkouts by the renew column in the OPAC

This patch makes it possible for the logged-in OPAC user to sort their
checkouts by the number of renewals they have remaining on their
checkouts.

To test, apply the patch and log in to the OPAC as a user with multiple
checkouts. To fully test the patch's functionality the user's checkouts
should have a varying number of renewals available.

On the "your summary" page, confirm that the "Renew" column is now
sortable and that it sorts correctly by the number of renewals left on
each checked-out item.
Comment 2 PTFS Europe Sandboxes 2020-09-21 11:41:40 UTC
Created attachment 110456 [details] [review]
Bug 25771: Allow the user to sort checkouts by the renew column in the OPAC

This patch makes it possible for the logged-in OPAC user to sort their
checkouts by the number of renewals they have remaining on their
checkouts.

To test, apply the patch and log in to the OPAC as a user with multiple
checkouts. To fully test the patch's functionality the user's checkouts
should have a varying number of renewals available.

On the "your summary" page, confirm that the "Renew" column is now
sortable and that it sorts correctly by the number of renewals left on
each checked-out item.

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 3 Katrin Fischer 2020-09-21 19:42:39 UTC
Created attachment 110488 [details] [review]
Bug 25771: Allow the user to sort checkouts by the renew column in the OPAC

This patch makes it possible for the logged-in OPAC user to sort their
checkouts by the number of renewals they have remaining on their
checkouts.

To test, apply the patch and log in to the OPAC as a user with multiple
checkouts. To fully test the patch's functionality the user's checkouts
should have a varying number of renewals available.

On the "your summary" page, confirm that the "Renew" column is now
sortable and that it sorts correctly by the number of renewals left on
each checked-out item.

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-01 09:44:48 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 17:42:28 UTC
enhancement will not be backported to 20.05.x